package co.dc.aptiv.pojo;

import java.io.Serializable;

import co.dc.commons.annotation.Transient;
import co.dc.commons.basedao.CommonPojoAbstract;
import co.dc.commons.utils.DateTimeUtil;

/**
 * @describe: 单据详情
 * @author: liuxinglong
 * @version: 2018/4/17 15:21
 */
public class BillDetailPojo extends CommonPojoAbstract implements Serializable {
    private static final long serialVersionUID = 1L;
    @Transient
    public static final String tableName = "bill_detail";

    @Override
    public String getTableName() {
        return tableName;
    }

    private long id;
    /**
     * 单据Id
     */
    private long billId;

    /**
     * 生成的二维码
     */
    private String qrCode;

    /**
     * 采集到的二维码
     */
    private String collectionCode;
    /**
     * 物料Id
     */
    private Long materielId;

    /**
     * 状态
     */
    private Integer state;

    /**
     * 创建时间
     */
    private String createTime = DateTimeUtil.getDateTimeString();
    /**
     * 修改时间
     */
    private String modifyTime = DateTimeUtil.getDateTimeString();
    /**
     * 是否删除
     */
    private Integer delFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getBillId() {
        return billId;
    }

    public void setBillId(long billId) {
        this.billId = billId;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getCollectionCode() {
        return collectionCode;
    }

    public void setCollectionCode(String collectionCode) {
        this.collectionCode = collectionCode;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Long getMaterielId() {
        return materielId;
    }

    public void setMaterielId(Long materielId) {
        this.materielId = materielId;
    }
}
